Hi Lonnie,

On 2014-10-09 21:40, Lonnie Abelbeck wrote:
> I'm having a problem with 0.9.5 and loading 's2s' and 'adhoc'.  The paths are 
> not correct...
> 
> I'm seeing errors:
> --
> Oct 09 14:15:52 modulemanager error   Unable to load module 's2s': 
> /usr/lib/prosody/modules/mod_s2s.lua: No such file or directory
> Oct 09 14:15:52 modulemanager error   Unable to load module 'adhoc': 
> /usr/lib/prosody/modules/mod_adhoc.lua: No such file or directory
> --
> which are not the correct installed paths for adhoc/ and mod_s2s/ :
> --
> drwxr-xr--    1 root     root            80 Oct  9 08:43 adhoc
> drwxr-xr--    1 root     root            80 Oct  9 08:43 mod_s2s

I notice there's no o+x there, which may well cause a permission error,
which unfortunately gets hidden because modulemanager (actually
util.pluginloader) tries various combinations of paths and only reports
the very last error.

> I'm on Linux (AstLinux)
> If I revert to 0.9.4 it works as expected.

Did you install from source or some prebuilt package?  Did you install
both versions the same way?

--
Regards,
Kim "Zash" Alvefur


Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to